package io.renren.modules.admin.controller;

import java.util.Arrays;
import java.util.Map;

import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import io.renren.modules.admin.entity.AdvertiseEntity;
import io.renren.modules.admin.service.AdvertiseService;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.R;



/**
 * 
 *
 * @author huwhois
 * @email huwhois@163.com
 * @date 2021-01-15 09:29:21
 */
@RestController
@RequestMapping("admin/advertise")
public class AdvertiseController {
    @Autowired
    private AdvertiseService advertiseService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    @RequiresPermissions("admin:advertise:list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = advertiseService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    @RequiresPermissions("admin:advertise:info")
    public R info(@PathVariable("id") Long id){
		AdvertiseEntity advertise = advertiseService.getById(id);

        return R.ok().put("advertise", advertise);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    @RequiresPermissions("admin:advertise:save")
    public R save(@RequestBody AdvertiseEntity advertise){
		advertiseService.save(advertise);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    @RequiresPermissions("admin:advertise:update")
    public R update(@RequestBody AdvertiseEntity advertise){
		advertiseService.updateById(advertise);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    @RequiresPermissions("admin:advertise:delete")
    public R delete(@RequestBody Long[] ids){
		advertiseService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
